detekt-api
1.21.0-RC2

# PropertiesAware

interface PropertiesAware
Content copied to clipboard

Properties holder. Allows to store and retrieve any data.

## Functions

register
Link copied to clipboard
abstract fun register (key: String , value: Any )
Content copied to clipboard

Binds a given value with given key and stores it for later use.

## Properties

properties
Link copied to clipboard
abstract val properties : Map < String , Any ?>
Content copied to clipboard

Raw properties.

## Inheritors

SetupContext
Link copied to clipboard

## Extensions

getOrNull
Link copied to clipboard
inline fun < T : Any > PropertiesAware . getOrNull (key: String ): T ?
Content copied to clipboard

Allows to retrieve stored properties in a type safe way.